package com.family168.jbpm4book.x02;

import java.util.List;

import org.jbpm.api.task.Task;

import org.jbpm.test.JbpmTestCase;


public class BaseTests extends JbpmTestCase {
    public String deployJpdlClasspath(String path) {
        String deploymentDbid = repositoryService.createDeployment()
                                                 .addResourceFromClasspath(path)
                                                 .deploy();

        this.registerDeployment(deploymentDbid);

        return deploymentDbid;
    }

    protected void takeAndCompleteTask(String username) {
        List<Task> tasks = taskService.findGroupTasks(username);
        Task task = tasks.get(0);
        taskService.takeTask(task.getId(), username);
        taskService.completeTask(task.getId());
    }
}
