package com.family168.jbpm4book.x02;

import java.net.*;

import java.util.zip.*;

import org.jbpm.api.*;


public class X09DeserializeTest extends BaseTests {
    protected void tearDown() {
    }

    public void testDeserialize() throws Exception {
        ZipInputStream zis = new ZipInputStream(X09DeserializeTest.class
                .getResourceAsStream("/x09.zip"));
        String deploymentDbid = repositoryService.createDeployment()
                                                 .addResourcesFromZipInputStream(zis)
                                                 .deploy();
        this.registerDeployment(deploymentDbid);

        ProcessInstance processInstance = executionService
            .startProcessInstanceByKey("X09DeserializeTest");
        String processInstanceId = processInstance.getId();

        System.out.println(executionService.getVariable(
                processInstanceId, "bean"));
    }
}
